SystemOrganization addCategory: #'Tiny-Blog'!

Object subclass: #TBPost
	instanceVariableNames: 'title text date category visible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tiny-Blog'!

!TBPost commentStamp: '<historical>' prior: 0!
There is a TinyBlog post

variables:
	title
	text
	date
	category
	visible!

!TBPost class methodsFor: 'as yet unclassified' stamp: 'ManuelCastro 11/10/2017 14:51'!
title: aTitle text: aText
	^ self new
		title: aTitle;
		text: aText;
		yourself! !

!TBPost class methodsFor: 'as yet unclassified' stamp: 'ManuelCastro 11/10/2017 14:52'!
title: aTitle text: aText category: aCategory
	^ (self title: aTitle text: aText)
		category: aCategory;
		yourself! !

!TBPost class methodsFor: 'as yet unclassified' stamp: 'ManuelCastro 11/10/2017 14:46'!
unclassifiedTag
	^ 'Unclassified'! !

!TBPost methodsFor: 'action' stamp: 'ManuelCastro 11/10/2017 14:40'!
beVisible
	self visible: true! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:39'!
category
	^ category! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:39'!
category: anObject
	category := anObject ! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:37'!
date
	^ date! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:37'!
date: aDate
	date := aDate! !

!TBPost methodsFor: 'initialization' stamp: 'ManuelCastro 11/10/2017 14:45'!
initialize
	self category: TBPost unclassifiedTag.
	self date: Date today.
	self notVisible ! !

!TBPost methodsFor: 'action' stamp: 'ManuelCastro 11/10/2017 14:55'!
isUnclassified
	^ self category = TBPost unclassifiedTag ! !

!TBPost methodsFor: 'action' stamp: 'ManuelCastro 11/10/2017 14:41'!
isVisible
	^ self visible! !

!TBPost methodsFor: 'action' stamp: 'ManuelCastro 11/10/2017 14:41'!
notVisible
	self visible: false! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:36'!
text
	^ text! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:37'!
text: aString
	text := aString! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:36'!
title
	^ title! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:36'!
title: aString
	title := aString! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:38'!
visible
	^ visible! !

!TBPost methodsFor: 'accesing' stamp: 'ManuelCastro 11/10/2017 14:38'!
visible: aBoolean
	visible := aBoolean! !
